from __future__ import print_function
from sys import stdin

def printf(str, *args):
	print(str % args, end='')

def gcd(x, y):
	if x<y:
		gcd(y,x)
	else:
		if x%y == 0:
			printf("GCD ==> %5d\n" % y)
		else:
			gcd(y, x%y)


printf("두개의 정수를 입력하세요. x, y \n")
list = []
while len(list) < 2:
	list += stdin.readline().split()
x = int(list[0])
y = int(list[1])
gcd(x,y)

stdin.readline()
